/*-- -------------------------- -->
<---          Contact           -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #contact-1268 {
    overflow: hidden;
    position: relative;
    z-index: 1;
  }
  #contact-1268 .cs-container {
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-direction: column;
  }
  #contact-1268 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    padding: var(--sectionPadding);
    /* prevents padding and border from affecting height and width */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
  }
  #contact-1268 .cs-form-group {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    max-width: 44rem;
    /* resets to 0 at tablet */
    margin: auto;
    padding: var(--sectionPadding);
    /* prevents padding and border from affecting height and width */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
    order: 2;
  }

  #contact-1268 .cs-title {
    color: #000;
  }
  #contact-1268 .cs-text {
    margin: 0;
    color: #000;
  }
  #contact-1268 .cs-h3 {
    font-size: 1.25rem;
    line-height: 1.2em;
    font-weight: 700;
    text-align: left;
    max-width: 32.625rem;
    margin: 0 auto 2rem 0;
    color: var(--bodyTextColorWhite);

    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1rem;
  }
  #contact-1268 .cs-picture {
    width: 3.25rem;
    height: 3.25rem;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: none;
    position: relative;
    z-index: 1;
  }
  #contact-1268 .cs-picture:before {
    content: "";
    width: 100%;
    height: 100%;
    background: var(--primary);
    opacity: 0.2;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
  }
  #contact-1268 .cs-form {
    width: 100%;
    padding: 0;
    /* prevents flexbox from affecting height and width */
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 0.75rem;
  }
  #contact-1268 .cs-label {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    color: var(--bodyTextColorWhite);

    display: flex;
    grid-column: span 12;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 0.5rem;
  }
  #contact-1268 .cs-input {
    font-size: 1rem;
    width: 100%;
    /* 46px - 56px */
    height: clamp(2.875rem, 4.5vw, 3.5rem);
    padding: 0;
    padding-left: 1.5rem;
    color: var(--bodyTextColorWhite);
    border-radius: 0.5rem;
    border: 1px solid #dad9e3;
    /* prevents padding from adding to height and width */
    box-sizing: border-box;
  }
  #contact-1268 .cs-input::placeholder {
    color: #7d799c;
    opacity: 0.6;
  }
  #contact-1268 .cs-textarea {
    min-height: 7.5rem;
    padding-top: 1.5rem;
    margin-bottom: 1rem;
    font-family: inherit;
  }
  #contact-1268 .cs-button-solid {
    font-size: 1rem;
    /* 46px - 56px */
    line-height: clamp(2.875em, 5.5vw, 3.5em);
    text-decoration: none;
    font-weight: 700;
    text-align: center;
    margin: 0;
    color: #1a1a1a;
    border: none;
    min-width: 9.375rem;
    padding: 0 1.5rem;
    background-color: var(--primary);
    display: inline-block;
    position: relative;
    z-index: 1;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    transition: color 0.3s;
  }
  #contact-1268 .cs-button-solid:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 0%;
    background: #000;
    opacity: 1;
    top: 0;
    left: 0;
    z-index: -1;
    transition: width 0.3s;
  }
  #contact-1268 .cs-button-solid:hover {
    color: #fff;
  }
  #contact-1268 .cs-button-solid:hover:before {
    width: 100%;
  }
  #contact-1268 .cs-submit {
    width: 100%;
    margin: 0;
    color: var(--bodyTextColorWhite);
    border-radius: 0.5rem;
    grid-column: span 12;
  }
  #contact-1268 .cs-submit:hover {
    cursor: pointer;
  }
  #contact-1268 .cs-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
  #contact-1268 .cs-card-group {
    width: 100%;
    max-width: 32.625rem;
    margin: 0;
    padding: var(--sectionPadding);
    /* prevents padding and border from affecting height and width */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 16px - 20px */
    gap: clamp(1rem, 2.3vw, 1.25rem);
    order: 1;
    position: relative;
    z-index: 1;
  }
  #contact-1268 .cs-item {
    text-align: left;
    list-style: none;
    width: 100%;
    margin: 0;
    /* 16px - 20px */
    padding: clamp(1rem, 4vw, 2.5rem);
    /* prevents padding and border from affecting height and width */
    box-sizing: border-box;
    background-color: #fff;
    position: relative;
    z-index: 1;
  }
  #contact-1268 .cs-item:hover:before {
    opacity: 1;
  }
  #contact-1268 .cs-item:hover .cs-header,
  #contact-1268 .cs-item:hover .cs-item-text,
  #contact-1268 .cs-item:hover .cs-link {
    color: var(--bodyTextColorWhite);
  }
  #contact-1268 .cs-item:hover .cs-text,
  #contact-1268 .cs-item:hover .cs-link {
    opacity: 0.8;
  }
  #contact-1268 .cs-item:hover .cs-link:hover {
    color: var(--primary);
  }
  #contact-1268 .cs-item:hover .cs-icon {
    filter: grayscale(1) brightness(1000%);
  }
  #contact-1268 .cs-item:before {
    /* hover border and background */
    content: "";
    width: 100%;
    height: 100%;
    background: #1a1a1a;
    border: 1px solid var(--primary);
    opacity: 0;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity 0.3s;
  }
  #contact-1268 .cs-header {
    font-size: 1.25rem;
    line-height: 1.2em;
    text-align: inherit;
    font-weight: 700;
    /* 12px - 16px */
    margin: 0 0 clamp(0.75rem, 1.6vw, 1rem);
    display: block;
    transition: color 0.3s;
  }
  #contact-1268 .cs-item-text {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    line-height: 1.5em;
    text-align: inherit;
    margin: 0 0 0.25rem;
    color: var(--bodyTextColor);
    display: block;
    transition: color 0.3s;
  }
  #contact-1268 .cs-link {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    line-height: 1.5em;
    text-align: inherit;
    margin: 0;
    color: var(--bodyTextColor);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.25rem;
    transition: color 0.3s;
  }
  #contact-1268 .cs-icon {
    width: 1rem;
    height: auto;
  }
  #contact-1268 .cs-background {
    width: 100%;
    height: 100%;
    background-color: #fafbfc;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #contact-1268 .cs-background img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #contact-1268 .cs-label:nth-of-type(1),
  #contact-1268 .cs-label:nth-of-type(2) {
    grid-column: span 6;
  }
}
/* Desktop - 1024px */
@media only screen and (min-width: 64rem) {
  #contact-1268 {
    /* moved padding back to the section container */
    padding: var(--sectionPadding);
  }
  #contact-1268 .cs-container {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
  #contact-1268 .cs-content {
    text-align: left;
    margin: 0;
    padding: 0;
    align-items: flex-start;
  }
  #contact-1268 .cs-form-group {
    width: 43%;
    max-width: 32.625rem;
    margin: 0;
    padding: 0;
  }
  #contact-1268 .cs-form {
    padding: 0;
  }
  #contact-1268 .cs-wrapper {
    width: 50%;
    max-width: 32.75rem;
    flex: none;
    /* removes position from it so the absolutely positioned background group can now be positioned relative to the section container */
    position: initial;
  }
  #contact-1268 .cs-background {
    width: 60vw;
    height: 100%;
    left: auto;
    right: 50%;
    top: 0;
  }
  #contact-1268 .cs-card-group {
    padding: 0;
  }
}
